Bug 67656 - Kernel compile fails
Kernel compile fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 13:16 EDT by Samuel Flory
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-08 18:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Flory 2002-06-28 13:16:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
Can't compile latest 2.4.18-5 kernel with nfsroot enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure with the following options
CONFIG_IP_PNP=y
CONFIG_IP_PNP_DHCP=y
CONFIG_NFS_FS=y
CONFIG_NFS_V3=y
CONFIG_ROOT_NFS=y

2.make dep clean bzImage
3.wait for compile to break
	

Additional info:

  This appears to fix it for me.

--- fs/nfs/nfsroot.c.old        Thu Jun 27 19:15:00 2002
+++ fs/nfs/nfsroot.c    Thu Jun 27 19:16:15 2002
@@ -343,8 +343,8 @@
 {
        struct sockaddr_in sin;

-       printk(KERN_NOTICE "Looking up port of RPC %d/%d on %s\n",
-               program, version, in_ntoa(servaddr));
+       printk(KERN_NOTICE "Looking up port of RPC %d/%d on 0x%X\n",
+               program, version, servaddr);
        set_sockaddr(&sin, servaddr, 0);
        return rpc_getport_external(&sin, program, version, proto);
 }
Comment 1 Samuel Flory 2003-05-08 18:23:26 EDT
  This is not an issue with the current eratta kernels.

Note You need to log in before you can comment on or make changes to this bug.